## unshield 0.6

=== debian/changelog ===
unshield (0.6-3) unstable; urgency=low

  * Import patch for new InstallShield versions from Upstream (Closes: #580470)
  * Refresh copyright file
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Sat, 03 Mar 2012 15:08:02 +0100

unshield (0.6-2) unstable; urgency=low

  * Fix Vcs-Git field.
  * Drop .la file.
  * Use dh rules.tiny for debian/rules.
  * Standards-Version: 3.9.2.
  * Format 3.0 (quilt).

 -- Evgeni Golov <evgeni@debian.org>  Sat, 30 Apr 2011 12:43:00 +0200

unshield (0.6-1) unstable; urgency=low

  * New upstream release.
  * Switch my e-mail address.
  * Add ${misc:Depends} to Depends of all binary packages, thanks lintian.
  * Bump to debhelper 5, 4 is deprecated.
  * Bump Standards-Version to 3.8.4.
  * Improve libunshield-dev's long description, thanks lintian.
  * Add Vcs-* fields.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 12 Mar 2010 13:56:53 +0100

unshield (0.5.1-1) unstable; urgency=low

  * New maintainer (Closes: #469787)
  * New upstream release (Closes: #350210)
  * debian/control:
    + libunshield-dev should use ${binary:Version} instead of ${Source-Version}
      for depends on libunshield0.
    + Bump Standards-Version to 3.7.3, no changes needed.
    + Build-Depend on automake instead automake1.7.
    + Remove Build-Depend on autoconf.
    + Check spelling. (Closes: #418118)
    + Add a Homepage field.
  * debian/rules:
    + Don't ignore make errors in the clean target.
    + Update config.{sub,guess} on configure, and remove on clean.
    + Don't set CFLAGS, let dpkg handle it.
    + Don't set INSTALL_PROGRAM += -s when no nostrip is found, 
      dh_strip will do this on its own.
    + Install upstream changelog.
  * debian/watch:
    + Update watch-file, it finds upstream releases again now.
  * debian/copyright:
    + List all copyright holders.
    + Use the machine-readable format.
  * debian/{unshield,libunshield0,libundhield-dev}.dirs:
    + Removed the unneeded .dirs files

 -- Evgeni Golov <sargentd@die-welt.net>  Fri, 09 May 2008 08:25:43 +0200

unshield (0.5-3) unstable; urgency=low

  * Added Build-Depends to libtool, autoconf, and automake

 -- Volker Christian <voc@debian.org>  Tue, 13 Sep 2005 18:36:47 +0200

unshield (0.5-2) unstable; urgency=low

  * Fixed conflicts and replacements

 -- Volker Christian <voc@debian.org>  Sat, 10 Sep 2005 21:54:52 +0200

unshield (0.5-1) unstable; urgency=low

  * New upstream release
  * Changed Maintainer-Email to voc@debian.org
  * Updated watch file to conform to version 3
  * Updated the the Policy standard 3.6.2

 -- Volker Christian <voc@debian.org>  Sat, 10 Sep 2005 20:43:24 +0200

unshield (0.4-3) unstable; urgency=low

  * Added --version-info to dh_makeshlibs

 -- Volker Christian <voc@users.sourceforge.net>  Sun, 29 Aug 2004 11:03:38 +0200

unshield (0.4-2) unstable; urgency=low

  * Fixed a ia64 bug in upstream ... patch has to be sent to upstream developer

 -- Volker Christian <voc@users.sourceforge.net>  Mon,  11 Aug 2004 11:55:23 +0200

unshield (0.4-1) unstable; urgency=low

  * New upstream release
  * Added a watch file

 -- Volker Christian <voc@users.sourceforge.net>  Mon,  9 Aug 2004 10:38:54 +0200

unshield (0.3-2) unstable; urgency=low

  * Manual page fixed.

 -- Volker Christian <voc@users.sourceforge.net>  Fri, 10 Jul 2004 20:08:55 +0200

unshield (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Volker Christian <voc@users.sourceforge.net>  Fri, 18 Jun 2004 22:44:05 +0200
