=== debian/control ===
Source: unshield
Section: utils
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1.2.1), libtool (>= 1.4), automake
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/synce
Vcs-Git: git://git.debian.org/git/users/evgeni/unshield.git
Vcs-Browser: http://git.debian.org/?p=users/evgeni/unshield.git

Package: unshield
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extracts CAB files from InstallShield installers
 This software extracts CAB files from InstallShield installers
 used to be installed on Windows CE devices or Windows desktop
 machines.

Package: libunshield0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libunshield
Conflicts: libunshield, liborange
Description: library to extract CAB files from InstallShield installers
 This are libraries to create applications extracting CAB files from
 InstallShield installers used to be installed on Windows CE devices or
 Windows desktop machines.

Package: libunshield-dev
Section: libdevel
Architecture: any
Depends: libunshield0 (= ${binary:Version}), ${misc:Depends} 
Description: development files for libunshield
 This are libraries to create applications extracting CAB files from
 InstallShield installers used to be installed on Windows CE devices or
 Windows desktop machines.
 .
 This package contains the development files needed to link applications
 against libunshield.
