=== debian/watch ===
version=3
http://sf.net/synce/ unshield-(.+)\.tar\.gz
