## unshield 1.0

=== debian/changelog ===
unshield (1.0-1) unstable; urgency=low

  * New upstream release
   Closes: #721943
   LP: #1221386
   + Does not abort on ARM9 / armv5tel cpu anymore
     Closes: #721933
   + Provides an option to extract selected files
     Closes: #260174
  * update debian/watch for the GitHub move
  * update homepage in debian/copyright and debian/control
  * use dh-autoreconf
  * drop new_installshield_format.patch, it was taken from upstram
  * update Vcs-* fields to new, canonical URLs
  * use dh 9
  * Standards-Version: 3.9.4
  * disable RPATH
  * enable multiarch support
  * update debian/copyright to latest dep3

 -- Evgeni Golov <evgeni@debian.org>  Sat, 07 Sep 2013 18:10:40 +0200
