=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1.2.1), libtool (>= 1.4), automake
+Build-Depends: debhelper (>= 9), zlib1g-dev (>= 1.2.1), dh-autoreconf
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.3
-Homepage: http://sourceforge.net/projects/synce
-Vcs-Git: git://git.debian.org/git/users/evgeni/unshield.git
-Vcs-Browser: http://git.debian.org/?p=users/evgeni/unshield.git
+Standards-Version: 3.9.4
+Homepage: https://github.com/twogood/unshield/
+Vcs-Git: git://anonscm.debian.org/users/evgeni/unshield.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/evgeni/unshield.git
 
 Package: unshield
 Section: utils
@@ -21,7 +21,9 @@
 Package: libunshield0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Replaces: libunshield
 Conflicts: libunshield, liborange
 Description: library to extract CAB files from InstallShield installers
@@ -32,6 +34,7 @@
 Package: libunshield-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libunshield0 (= ${binary:Version}), ${misc:Depends} 
 Description: development files for libunshield
  This are libraries to create applications extracting CAB files from
