=== debian/changelog ===
unshield (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2

 -- Evgeni Golov <evgeni@debian.org>  Sat, 21 Jan 2017 10:27:12 +0100

unshield (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * drop revert-soname-bump.patch, applied upstream

 -- Evgeni Golov <evgeni@debian.org>  Sat, 14 Jan 2017 21:04:11 +0100

unshield (1.4-1) unstable; urgency=medium

  * New upstream release
    Fixes directory traversal issue (CVE-2015-1386)
    Closes: #776193

  [ Alexandre Detiste ]
  * use HTTPS url for Vcs-Git

  [ Evgeni Golov ]
  * update Vcs-* fields to pkg-games
  * add cmake to Build-Depends
  * drop 001-disable-rpath.patch, applied upstream and obsolete
  * do not use dh-autoreconf anymore
  * Standards-Version: 3.9.8
  * Don't duplicate the Section field in d/control
  * don't link OpenSSL even if found
  * revert upstream soname change

 -- Evgeni Golov <evgeni@debian.org>  Mon, 26 Dec 2016 15:47:36 +0100
