=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: unshield
 Section: utils
 Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev (>= 1.2.1), dh-autoreconf
-Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.4
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Evgeni Golov <evgeni@debian.org>
+Build-Depends: debhelper (>= 9), zlib1g-dev (>= 1.2.1), cmake
+Standards-Version: 3.9.8
 Homepage: https://github.com/twogood/unshield/
-Vcs-Git: git://anonscm.debian.org/users/evgeni/unshield.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/evgeni/unshield.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/unshield.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/unshield.git
 
 Package: unshield
-Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: extracts CAB files from InstallShield installers
