=== debian/watch ===
version=3
https://github.com/twogood/unshield/releases /twogood/unshield/archive/(.+)\.tar\.gz
