=== lib/convert_utf/CMakeLists.txt ===
--- 
+++ 
@@ -6,4 +6,17 @@
     "ConvertUTF.c"
 )
 
+if(BUILD_STATIC AND MSVC)
+    set_msvc_runtime_static()
+endif()
+
 add_library(convert_utf STATIC ${LIBCONVERT_UTF_HEADES} ${LIBCONVERT_UTF_SOURCES})
+
+# Linux/Clang-7
+# relocation R_X86_64_32S against `.rodata' can not be used when making a shared object;
+# recompile with -fPIC
+include(CheckCCompilerFlag)
+CHECK_C_COMPILER_FLAG("-fPIC" COMPILER_HAS_FPIC)
+if (COMPILER_HAS_FPIC)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+endif()
