=== lib/md5/CMakeLists.txt ===
--- 
+++ 
@@ -7,4 +7,8 @@
     "md5c.c"
 )
 
+if(BUILD_STATIC AND MSVC)
+    set_msvc_runtime_static()
+endif()
+
 add_library(md5 STATIC ${LIBMD5_UTF_HEADES} ${LIBMD5_UTF_SOURCES})
