=== debian/changelog ===
unshield (1.5.1-2) unstable; urgency=medium

  * Team upload
  * Fix build with CMake 4 (Closes: #1113605)
  * Fix build with GCC-15 (Closes: #1098042)
  * update d/watch to v5

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 27 Sep 2025 22:00:00 +0200

unshield (1.5.1-1) unstable; urgency=low

  * Team upload
  * fix d/watch for new Github API
  * New upstream version 1.5.1

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, ...
  * Update Vcs-* headers from URL redirect.
  * Update watch file format version to 4.
  * Fix day-of-week for changelog entries 0.4-2, 0.3-2.
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 04 Dec 2023 00:44:55 +0100
