=== debian/control ===
Source: unshield
Section: utils
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Evgeni Golov <evgeni@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 zlib1g-dev (>= 1.2.1),
Standards-Version: 3.9.8
Homepage: https://github.com/twogood/unshield/
Vcs-Git: https://salsa.debian.org/games-team/unshield.git
Vcs-Browser: https://salsa.debian.org/games-team/unshield
Rules-Requires-Root: no
X-Style: black

Package: unshield
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: extracts CAB files from InstallShield installers
 This software extracts CAB files from InstallShield installers
 used to be installed on Windows CE devices or Windows desktop
 machines.

Package: libunshield0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Replaces:
 libunshield,
Conflicts:
 liborange,
 libunshield,
Description: library to extract CAB files from InstallShield installers
 This are libraries to create applications extracting CAB files from
 InstallShield installers used to be installed on Windows CE devices or
 Windows desktop machines.

Package: libunshield-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libunshield0 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libunshield
 This are libraries to create applications extracting CAB files from
 InstallShield installers used to be installed on Windows CE devices or
 Windows desktop machines.
 .
 This package contains the development files needed to link applications
 against libunshield.
