=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_OUR_OWN_MD5=YES -DCMAKE_POLICY_VERSION_MINIMUM=3.5
