=== debian/changelog ===
unshield (1.6.2-2) unstable; urgency=medium

  * Team upload
  * upload to unstable
  * Fix build on hppa (Closes: #1057664)

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 09 Oct 2025 08:56:51 +0200

unshield (1.6.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * SONAME bump: libunshield0 -> libunshield1
  * d/copyright: Update for new upstream release

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 28 Sep 2025 09:09:42 +0200
