=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
  debhelper-compat (= 13),
  cmake,
  zlib1g-dev (>= 1.2.1),
-Standards-Version: 3.9.8
+Standards-Version: 4.7.2
 Homepage: https://github.com/twogood/unshield/
 Vcs-Git: https://salsa.debian.org/games-team/unshield.git
 Vcs-Browser: https://salsa.debian.org/games-team/unshield
-Rules-Requires-Root: no
 X-Style: black
 
 Package: unshield
@@ -25,7 +24,7 @@
  used to be installed on Windows CE devices or Windows desktop
  machines.
 
-Package: libunshield0
+Package: libunshield1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -49,7 +48,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libunshield0 (= ${binary:Version}),
+ libunshield1 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files for libunshield
  This are libraries to create applications extracting CAB files from
